Panasonic Lumix DMC-FZ18 not working with gphoto backend

Bug #282823 reported by Chris Coulson on 2008-10-13
46
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libgphoto2 (Ubuntu)
Low
Martin Pitt
Hardy
Undecided
Martin Pitt
Intrepid
Low
Martin Pitt

Bug Description

Binary package hint: gvfs

In Hardy, my camera (Panasonic Lumix DMC-FZ18) would just be mounted and accessed as a USB mass storage device. In Intrepid, the camera does not work at all. When I connect the camera via USB, an error dialog appears a few seconds later saying "Error initializing camera: -60: Could not lock the device". When I close that error dialog, another one appears saying "Error initializing camera: -1: Unspecified error".

I have attached the output of lshal.

A workaround for me can be achieved by adding the following HAL quirk for my camera:

    <match key="camera.libgphoto2.name" contains="Panasonic Lumix FZ5">
      <merge key="camera.libgphoto2.support" type="bool">False</merge>
    </match>

With camera.libgphoto2.support set to False, my camera is then automatically mounted as a mass storage device by Nautilus.

chr1s@chris-desktop:/usr/share/hal/fdi/policy/20thirdparty$ apt-cache policy gvfs
gvfs:
  Installed: 1.0.1-0ubuntu3
  Candidate: 1.0.1-0ubuntu3
  Version table:
 *** 1.0.1-0ubuntu3 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
chr1s@chris-desktop:/usr/share/hal/fdi/policy/20thirdparty$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

Chris Coulson (chrisccoulson) wrote :
Changed in gvfs:
importance: Undecided → Low
Brandon Konkle (brandon-konkle) wrote :

I'm also experiencing this issue with an HP PhotoSmart R727 camera.

Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:

 * Is this reproducible?
 * If so, what specific steps should we take to recreate this bug?
 * Do you have the issue in other applications using gphoto too or is that gvfs specific?

 This will help us to find and resolve the problem.

Changed in gvfs:
status: New → Incomplete
Chris Coulson (chrisccoulson) wrote :

Sebastien,

* Yes, this is reproducible.
* Re-creating is just a matter of connecting the camera via USB, and then waiting for the error dialog to appear a few seconds later. Double clicking the camera icon in computer:/// whilst the camera is connected will cause the error to appear again.
* I have the same issue in other applications using gphoto (F-Spot doesn't work either).

So, this is probably a gphoto issue and not a gvfs one. I don't know if this is specific to my camera (I'll try and get hold of another and see if it does the same).

Sebastien Bacher (seb128) wrote :

the bug is rather a gphoto one

Changed in gvfs:
status: Incomplete → New
Hubert Figuiere (hub) wrote :

Can you provide an output for lsusb -v ?

Just to make sure.

Because if the camera is mass storage, it is not libgphoto2 problem.

Chris Coulson (chrisccoulson) wrote :

Hubert - I'll post the output of lsusb -v when I get home from work tonight. However, I'm pretty sure that the camera is just a mass storage device. It mounts successfully as a mass storage device with the HAL quirk I added in the original bug description (camera.libgphoto2.support=false)

Marcus Meissner (meissner) wrote :

existing libgphoto2 versions incorrectly have the 0x2372 USB product id listed as support by gphoto. This id should be blanked.

Chris Coulson (chrisccoulson) wrote :

Thanks Marcus.

I've just tried my camera again with the dial set to PTP. It works now (and the product id is 0x2374 this time). So, this is less of an issue than I first though, although I'd still like to be able to use my camera as a mass storage device (like I used to be able too).

Chris Coulson (chrisccoulson) wrote :

Probably not needed now, but here is the output of lsusb -v with the camera set to mass storage

Chris Coulson (chrisccoulson) wrote :

Bonkle - What is the output of 'lsusb -v' for you, and can you change your camera to be a PTP device instead of a mass storage device? If so, then what is the output of 'lsusb -v' with it set to PTP?

Hubert Figuiere (hub) wrote :

See Marcus comment. There is an "old bug" that cause the Mass Storage panasonic to have their permission changed making them unmountable. libgphoto2 has been fixed, but I don't know for the version in hardy. The Panasonic USB ID 0x2372 MUST be removed from libgphoto2, and the helper scripts updated as usual (the package does it, so if the package is fixed it should be good).

To the maintainer: do it and provide an updated package so that the user no longer run into the problem, unless it has already been adressed.

On Thu, 2008-10-16 at 17:49 +0000, Chris Coulson wrote:
> ** Attachment added: "This patch fixes the problem for my camera."
> http://launchpadlibrarian.net/18615482/dont-support-0x2372.dpatch
>

Seriously I thought this patch had already been applied in Ubuntu.

Chris Coulson (chrisccoulson) wrote :

It seems like it hasn't already been applied. Only one entry was commented out, but leaving multiple other entries with product ID 0x2372.

Marcus Meissner (meissner) wrote :

Yes, I made the mistake of just commenting out 1 of 3 or 4 of the bad 0x2372 entries ...

This will be fixed in the libgphoto2 2.4.3 release I am currently preparing.

I've added the output of lsusb. My camera is listed on the 4th line. It's a small consumer-grade device, so I don't have the ability to switch it into other connection modes. At least, not that I'm aware of. When I have time this weekend, I'll try the patch.

Thanks for your help!

Sorry, I forgot the -v option. Here is the output from lsusb -v.

hackel (hackel) wrote :

I'm also experiencing this issue with my Panasonic DMC-TZ5. Works in PTP mode, but I want Mass Storage. Fix described initially does work, thankfully.

Jan Mynarik (jan-mynarik) wrote :

The same for Panasonic Lumix DMC-FZ28E.

Marcus Meissner (meissner) wrote :

this is now fixed in the libgphoto2 2.4.3 release.

Jan Mynarik (jan-mynarik) wrote :

Will it get to Intrepid?

Martin Pitt (pitti) wrote :

Thanks. Intrepid is almost solidly frozen, but it's not a problem to do a stable release update for this.

Changed in libgphoto2:
assignee: nobody → pitti
status: New → In Progress
assignee: nobody → pitti
status: New → Triaged
Martin Pitt (pitti) wrote :

Fix for intrepid uploaded to intrepid-proposed:

libgphoto2 (2.4.2-0ubuntu3) intrepid-proposed; urgency=low

  * Add 71_disable_panasonic_2372.dpatch: Disable broken PtP for all Panasonic
    cameras with product ID 0x2372, such as the Lumix DMC-FZ18. Mass-storage
    works fine. (LP: #282823)

 -- Martin Pitt <email address hidden> Fri, 24 Oct 2008 10:42:08 +0200

However, it won't be accepted until intrepid is actually released (in a week).

Martin Pitt (pitti) wrote :

Hardy update uploaded, waiting for Steve to process:

libgphoto2 (2.4.0-8ubuntu8) hardy-proposed; urgency=low

  * Add 74_disable_panasonic_2372.dpatch: Disable broken PtP for all Panasonic
    cameras with product ID 0x2372, such as the Lumix DMC-FZ18. Mass-storage
    works fine. (LP: #282823)

 -- Martin Pitt <email address hidden> Fri, 24 Oct 2008 09:26:17 +0000

Changed in libgphoto2:
status: Triaged → In Progress
Jan Mynarik (jan-mynarik) wrote :

Thanks for your work! Can I find the upload anywhere? I'd like to build the package myself.

Martin Pitt (pitti) wrote :

I uploaded both the hardy and intrepid updates to my Personal Package Archive now:

  https://launchpad.net/~pitti/+archive

where you can download them easily (including binaries).

Jan Mynarik (jan-mynarik) wrote :

I can confirm that your packages works! Thanks!

lemonade (lemonade) wrote :

Fixed problems with FX12 too, great job!

Stéphane Maniaci (stephh) wrote :

The package doesn't work for me. I upgraded from PPA, rebooted, and still my Panasonic Lumix DMC-FZ18 won't mount. Now the camera is found as "USB reader" or "USB disk" (don't know the exact translation) but fails to mount, with this error (from dmesg | tail):

[ 89.692124] sd 6:0:0:0: Attached scsi generic sg3 type 0
[ 139.628074] ppdev0: registered pardevice
[ 139.676029] ppdev0: unregistered pardevice
[ 140.169571] ppdev0: registered pardevice
[ 140.216125] ppdev0: unregistered pardevice
[ 140.290574] ppdev0: registered pardevice
[ 140.341458] ppdev0: unregistered pardevice
[ 142.853759] FAT: Unrecognized mount option "force" or missing value
[ 292.336108] FAT: bogus number of reserved sectors
[ 292.336121] VFS: Can't find a valid FAT filesystem on dev sdc.

Stéphane Maniaci (stephh) wrote :

My mistake, it works perfectly on a fresh install of Intrepid, with the updated package. Sorry for inconvenience :). By the way, my camera is recognized as an USB storage device, how can it be recognized as a camera ? Thanks.

Hubert Figuiere (hub) wrote :

On Sun, 2008-10-26 at 06:54 +0000, Stéphane Maniaci wrote:
> By the way, my camera is
> recognized as an USB storage device, how can it be recognized as a
> camera ?

That's the standard mode of operation for Panasonic cameras. What is the
problem?

Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in libgphoto2:
status: In Progress → Fix Committed
Olivier Guéry (nemolivier) wrote :

Same problem under intrepid with my Panasonic Lumix DMC-FX50. Packages from PPA solve the problem.
Thank’s a lot.

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in libgphoto2:
status: In Progress → Fix Committed

Selecting proposed and updating solved the problem for me. Thanks!

Martin Pitt (pitti) wrote :

Copied intrepid-proposed version to jaunty.

Changed in libgphoto2:
status: Fix Committed → Fix Released
Paulo Sequeira (psequeirag) wrote :

I can confirm it works with Panasonic DMC-TZ3. Thank you very much!

Martin Pitt (pitti) wrote :

Copied to hardy/intrepid-updates.

Changed in libgphoto2:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
msknight (michelle-msknight) wrote :

Same problem encountered with HP Photosmart camera. Worked on Hardy, updated to Intrepid and I get the -1 error. The camera reports, "Unable to communicate with printer."

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers